classification
Title: IDLE 2.7 on OS X does not enable Rstrip extension by default
Type: performance Stage: resolved
Components: IDLE, macOS Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: Bruce.Sherwood, benjamin.peterson, eric.araujo, kbk, ned.deily, ronaldoussoren, taleinat
Priority: normal Keywords:

Created on 2010-11-13 09:26 by ned.deily, last changed 2010-12-07 16:13 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
issue10406-idle27-rstrip-27.txt ned.deily, 2010-11-13 09:29
Messages (3)
msg121123 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-11-13 09:26
r73001 for Issue5150 added the Rstrip extension to IDLE and modified the extensions configuration file, config-extensions.def, to enable it by default.  For Python 2 OS X installs, however, the config-extensions.def file from Lib/idlelib is replaced by a tailored one from Mac/IDLE and the changes for Issue5101 are lost.  The attached patch updates the Mac/IDLE version appropriately.  Note, for Python 3 installs, this is not a problem as there is no longer a separate Mac-only copy of the file.
msg121848 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-21 03:16
If the release manager agrees, I think the change is okay.
msg123561 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-12-07 16:13
Fixed in r87122.

Thanks you.
History
Date User Action Args
2010-12-07 16:13:52ronaldoussorensetstatus: open -> closed
resolution: accepted
messages: + msg123561

stage: patch review -> resolved
2010-11-21 03:16:01eric.araujosetnosy: + eric.araujo, benjamin.peterson
messages: + msg121848
2010-11-13 09:29:22ned.deilysetfiles: + issue10406-idle27-rstrip-27.txt
2010-11-13 09:26:40ned.deilycreate